'use strict';

var _slicedToArray = function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"]) _i["return"](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError("Invalid attempt to destructure non-iterable instance"); } }; }();

var _build = require('./build');

var _build2 = _interopRequireDefault(_build);

var _dev = require('./dev');

var _dev2 = _interopRequireDefault(_dev);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

process.on('unhandledRejection', err => {
  throw err;
});

module.exports = function run(args, flags) {
  var _args = _slicedToArray(args, 1);

  const command = _args[0];
  var _flags$port = flags.port;
  const port = _flags$port === undefined ? 3000 : _flags$port;


  switch (command) {
    case 'build':
      process.env.BABEL_ENV = 'production';
      process.env.NODE_ENV = 'production';
      (0, _build2.default)();
      return;

    case 'dev':
      process.env.BABEL_ENV = 'development';
      process.env.NODE_ENV = 'development';
      (0, _dev2.default)(port);
      return;

    default:
      return;
  }
};